rem   DSHTML.BAT
rem 
rem   Example Directory Sizer HTMLer to schedule using AT
rem   Produces HTML output from Directory Sizer.  
rem   
rem   Format of command:
rem     DIRSIZEH /d:daysago /u:unc /h:htmlfile [/list [/s:name|change|size] [/o:asc|desc]] [/tree]
rem 
rem   To produce output for the top level - all servers - use /u:\
rem
rem   The first example compares the most recent period with the most 
rem   recent period that is 7 or more days old.
rem   It produces a list of the sub folders of \\myserver\d$\users,
rem   sorting it by size of directory, descending.
rem   The output file is users.htm
rem 
rem   To schedule this batch file, enter a command like the following at
rem   the command prompt...
rem     AT 7:30 /every:m,t,w,th,f,s,su "c:\program files\dirsize\dshtml.bat"
rem 
rem   Note this need only be scheduled to run on one machine.

set htmpath=\\intranet\d$\inetpub\wwwroot\dirsizer
"%0\..\DIRSIZEH" /d:7 /u:\\myserver\d$\users /h:%htmpath%\users.htm /list /s:size /o:desc
"%0\..\DIRSIZEH" /d:7 /u:\ /h:%htmpath%\allservers.htm /list /s:change /o:desc
