rem   DSPURGE.BAT
rem
rem   Example Directory Sizer Database Purging and Compression batch file 
rem   to schedule using at
rem 
rem   This example wont purge any data created in the last 12 weeks.
rem 
rem   Data that is more than 12 weeks old and less than 18 months old will 
rem   be culled, retaining only Tuesday information
rem      - 1=Monday, 2=Tuesday... 7=Sunday, 
rem   and retaining the 1st of the month data.
rem 
rem   All data older than 18 months will be culled except the 1st of the 
rem   month data (the day of the month to keep is not customisable)
rem 
rem   All data 800 days or more old will be deleted.
rem
rem   To schedule this batch file, enter a command like this at the 
rem   command prompt...
rem     AT 8:00 /every:su "c:\program files\dirsize\dspurge.bat"
rem 
rem   NOTE: This must only be scheduled to run on one server as all servers
rem   share the one database.  Also this server MUST be configured for 
rem   Network Applications performance rather than File Server - see the 
rem   documentation (dirsize.doc) for more details.

"%0\..\DIRSIZED.EXE" 2 12 18 800

